/*
 * Click nbfs://nbhost/SystemFileSystem/Templates/Licenses/license-default.txt to change this license
 * Click nbfs://nbhost/SystemFileSystem/Templates/Classes/Class.java to edit this template
 */

package ChatProgramm.controller.commands;

import ChatProgramm.model.Client;
import ChatProgramm.model.Server;
import ChatProgramm.model.TransmitterInterface;
import ChatProgramm.util.OhmLogger;
import ChatProgramm.view.ChatView;
import java.util.logging.Logger;
import javax.swing.JTextField;
import ChatProgramm.model.Nachricht;

/**
 *
 * @author ahren
 */
public class CommandSend implements CommandInterface
{
  private static Logger lg = OhmLogger.getLogger();
  private JTextField eingabeFeld;
  private String nachricht;
  private ChatView view;
  public TransmitterInterface transmitterInterface;
  public Server server;
  public Client client;


  
    
  public CommandSend(ChatView view)
  {
      this.view = view;
      this.eingabeFeld = view.getTfNachricht();
      transmitterInterface = null;
  }

  @Override
  public void execute()
  {
      if(transmitterInterface != null && !eingabeFeld.getText().isEmpty()){
          transmitterInterface.send(eingabeFeld.getText());
          eingabeFeld.setText("");
      }
  }


  @Override
  public boolean isUndoable()
  {
    return false;
  }

  @Override
  public void undo()
  {
  }
}
